[Windows Management][SHB] - The long-press power button menu is cut off on the bottom when viewing it in Lockscreen Camera mode with Passcode Lock enabled

RESOLVED FIXED in Firefox OS v2.2

Status

Firefox OS
Gaia::System::Window Mgmt
RESOLVED FIXED
3 years ago
2 years ago

People

(Reporter: Joshua Mitchell (Inactive), Assigned: etienne)

Tracking

({regression})

unspecified
2.2 S9 (3apr)
ARM
Gonk (Firefox OS)
regression

Firefox Tracking Flags

(blocking-b2g:2.2+, b2g-v2.0 unaffected, b2g-v2.1 affected, b2g-v2.2 verified, b2g-master verified)

Details

(Whiteboard: [3.0-Daily-Testing], [systemsfe])

Attachments

(3 attachments)

(Reporter)

Description

3 years ago
Description:
 Accessing the camera from the homescreen with SHB and Passcode lock enabled cause the bottom of the Long-press power menu to be cut-off.

Repro Steps:
1) Update a Flame to 20150327010205
2) Enable Passcode lock and SHB and lock the device
3) Unlock the device and slide the slider to the left to launch camera
4) Long press the power button

Actual:
Menu does not fully show / cut off on bottom

Expected:
Menu and options will fully display

Environmental Variables:
Device: Flame Master
Build ID: 20150327010205
Gaia: 249b8c08c1d57961ef6c905f3498fa62b032bf24
Gecko: e046475a75cb
Gonk: b83fc73de7b64594cd74b33e498bf08332b5d87b
Version: 39.0a1 (Master)
Firmware Version: v188-1
User Agent: Mozilla/5.0 (Mobile; rv:39.0) Gecko/39.0 Firefox/39.0


Repro frequency: 10/10
See attached: screenshot
(Reporter)

Comment 1

3 years ago
This issue also occurs in Flame KK 2.2 and 2.1 

Device: Flame 2.2 (KK - Nightly - Full Flash - 319mem)
Build ID: 20150327002500
Gaia: f9f62d7b69c9d46a28b5ca4f18993c90b5a2b26a
Gecko: 17079fdf6c6f
Gonk: ebad7da532429a6f5efadc00bf6ad8a41288a429
Version: 37.0 (Master)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0


Device: Flame 2.1 (KK - Nightly - Full Flash - 319mem)
Build ID: 20150325001202
Gaia: b8ae0df34362420fe4a9c90effa5247a1f5c844d
Gecko: 2a05cd42088b
Gonk: b83fc73de7b64594cd74b33e498bf08332b5d87b
Version: 34.0 (2.1)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:34.0) Gecko/34.0 Firefox/34.0

--------------------------------------------------------------------------------------------

This issue does NOT reproduce in 2.0

Actual Results: The long-press power button menu is NOT cut-off and instead fully displays

Device: Flame 2.0 (KK - Nightly - Full Flash - 319mem)
Build ID: 20150325000205
Gaia: 896803174633fc6acd3fd105f81c349b8e9b9633
Gecko: 543c2325d667
Gonk: b83fc73de7b64594cd74b33e498bf08332b5d87b
Version: 32.0 (2.0)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:32.0) Gecko/32.0 Firefox/32.0
QA Whiteboard: [QAnalyst-Triage?]
status-b2g-v2.0: --- → unaffected
status-b2g-v2.1: --- → affected
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected
Flags: needinfo?(pbylenga)
(Reporter)

Comment 2

3 years ago
Created attachment 8584727 [details]
2015-03-27-14-07-05.png
Summary: [Windows Management] Tapping on the blue 'Active Call' banner at the top of the screen does not take the user to the active call callscreen. → [SHB][Windows Management] Tapping on the blue 'Active Call' banner at the top of the screen does not take the user to the active call callscreen.
(Reporter)

Comment 3

3 years ago
I uhhh.......   ya...
Summary: [SHB][Windows Management] Tapping on the blue 'Active Call' banner at the top of the screen does not take the user to the active call callscreen. → [Windows Management][SHB] - The long-press power button menu is cut off on the bottom when viewing it in Lockscreen Camera mode with Passcode Lock enabled
Whiteboard: [3.0-Daily-Testing], [systemfe] → [3.0-Daily-Testing], [systemsfe]
NI on component owner for nomination decision, is a regression affecting 2.1.
QA Whiteboard: [QAnalyst-Triage?] → [QAnalyst-Triage+]
Flags: needinfo?(pbylenga) → needinfo?(gchang)
Added qawanted to check branches on v18D-1 base
Keywords: qawanted
QA Contact: bzumwalt
Issue DOES reproduce on Flame 3.0 with v18D-1 base

Power menu does not fully show / cut off on bottom when activated from lockscreen camera with SHB enabled

Device: Flame 3.0
Build ID: 20150327010205
Gaia: 249b8c08c1d57961ef6c905f3498fa62b032bf24
Gecko: e046475a75cb
Gonk: b83fc73de7b64594cd74b33e498bf08332b5d87b
Version: 39.0a1 (3.0)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:39.0) Gecko/39.0 Firefox/39.0
QA Whiteboard: [QAnalyst-Triage+] → [QAnalyst-Triage?]
Flags: needinfo?(ktucker)
Keywords: qawanted
QA Whiteboard: [QAnalyst-Triage?] → [QAnalyst-Triage+]
Flags: needinfo?(ktucker)
NI System FE owner for this.
Flags: needinfo?(gchang) → needinfo?(hcheng)
Etienne, could you take a look?
blocking-b2g: --- → 2.2?
Flags: needinfo?(hcheng) → needinfo?(etienne)
SHB issue
blocking-b2g: 2.2? → 2.2+
(Assignee)

Comment 10

3 years ago
I can reproduce, taking a look.
Assignee: nobody → etienne
Flags: needinfo?(etienne)
Created attachment 8585563 [details] [review]
[gaia] etiennesegonzac:bug-1148533 > mozilla-b2g:master
(Assignee)

Comment 12

3 years ago
Comment on attachment 8585563 [details] [review]
[gaia] etiennesegonzac:bug-1148533 > mozilla-b2g:master

Even comes with a test :)
Attachment #8585563 - Flags: review?(gmarty)
Comment on attachment 8585563 [details] [review]
[gaia] etiennesegonzac:bug-1148533 > mozilla-b2g:master

Stealing the review as gmarty is on PTO.

Works like a charm, and thanks for the test!
Attachment #8585563 - Flags: review?(gmarty) → review+
(Assignee)

Updated

3 years ago
Keywords: checkin-needed

Updated

3 years ago
Keywords: checkin-needed
https://github.com/mozilla-b2g/gaia/pull/29225

Autolander could not land the pull request due to not having collaborator rights. This is possibly due to a tree closure. Please check the tree status and request checkin again once the tree is open.
Infra problems today, so landing manually: https://github.com/mozilla-b2g/gaia/commit/5e80e3d725b274b6977dc18c522f0ee6fbccfc5e
Status: NEW → RESOLVED
Last Resolved: 3 years ago
status-b2g-master: affected → fixed
Resolution: --- → FIXED
Please uplift to 2.2 since it is a 2.2 blocker. Thanks.
(Assignee)

Comment 17

3 years ago
Comment on attachment 8585563 [details] [review]
[gaia] etiennesegonzac:bug-1148533 > mozilla-b2g:master

[Approval Request Comment]
[Bug caused by] (feature/regressing bug #): SHB
[User impact] if declined: the sleep menu is cut out
[Testing completed]: sleep menu in various state
[Risk to taking this patch] (and alternatives if risky): very low
[String changes made]: none
Attachment #8585563 - Flags: approval-gaia-v2.2?
Keywords: verifyme

Updated

3 years ago
Attachment #8585563 - Flags: approval-gaia-v2.2? → approval-gaia-v2.2+
According to the STR of Comment 0,this bug has been successfully verified on latest Nightly Flame v3.0.

Actual results:After unlocking/sliding to the left to launch camera,the Cancel button and options will fully display.

See attachment: verified_v3.0.png.
Reproduce rate: 0/5

Device: Flame 3.0 build(Pass)
Build ID               20150402160202
Gaia Revision          62042ffcc8c6cca0f51ad23f5c2b979fc153b5a7
Gaia Date              2015-04-02 16:01:42
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/513265a4cbc2
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150402.192125
Firmware Date          Thu Apr  2 19:21:37 EDT 2015
Bootloader             L1TC000118D0

Leaving keywords "verifyme" for Flame v2.2&2.1.
status-b2g-master: fixed → verified
QA Whiteboard: [QAnalyst-Triage+] → [QAnalyst-Triage+][MGSEI-Triage+]
v2.2: https://github.com/mozilla-b2g/gaia/commit/e96db43ca8d684e3222cf788417b61a8a207ae94
status-b2g-v2.2: affected → fixed
Target Milestone: --- → 2.2 S9 (3apr)
According to the STR of Comment 0,this bug has been successfully verified on latest Nightly Flame v2.2.
(Rate: 0/5)

Actual results:After unlocking or sliding to the left to launch camera,the Cancel button will fully display.

Device: Flame 2.2 build(Pass)
Gaia Revision          a6351e1197d54f8624523c2db9ba1418f2aa046f
Gaia Date              2015-04-03 22:06:41
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/c3335a5d3063
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150406.040047
Firmware Date          Mon Apr  6 04:00:58 EDT 2015
Bootloader             L1TC000118D0
status-b2g-v2.2: fixed → verified
Hi Josh,

This bug is regression, should we uplift patch to Flame 2.1? 
Thanks
Flags: needinfo?(jocheng)

Comment 23

3 years ago
Hi Etienne,
Could you please help to raise 2.1 approval as this is regression issue?
Thanks!
Flags: needinfo?(jocheng) → needinfo?(etienne)
(Assignee)

Comment 24

3 years ago
(In reply to Josh Cheng [:josh] from comment #23)
> Hi Etienne,
> Could you please help to raise 2.1 approval as this is regression issue?
> Thanks!

Not sure what the process is here and what's expected of me.
The risky-ness of the patch was described for the 2.2 approval (Comment 17).

Isn't it a pure relman issue now?
Flags: needinfo?(etienne)
The v2.2&master has verified, so clear 'verifyme' keywords.
Keywords: verifyme
You need to log in before you can comment on or make changes to this bug.